import 'package:cs_resources/generated/assets.dart';
import 'package:domain/entity/home_module.dart';
import 'package:plugin_basic/basic_export.dart';

class JobCategoryState {
  //全部的模块
  final List<HomeModule> datas = [
    HomeModule(key: 'job_template', moduleName: 'Job Template'.tr, moduleIconPath: Assets.cptJobCategoryTemplate, iconWidth: 40, iconHeight: 40),
    HomeModule(key: 'labour_request', moduleName: 'Labour Request'.tr, moduleIconPath: Assets.cptJobCategoryLabour, iconWidth: 40, iconHeight: 40),
    HomeModule(key: 'lab_review', moduleName: 'Labour Request Review'.tr, moduleIconPath: Assets.cptJobCategoryLabourReview, iconWidth: 40, iconHeight: 40),
    HomeModule(key: 'job_list', moduleName: 'Job List'.tr, moduleIconPath: Assets.cptJobCategoryList, iconWidth: 40, iconHeight: 40),
    HomeModule(key: 'attendance_review', moduleName: 'Attendance Review'.tr, moduleIconPath: Assets.cptJobCategoryAttendanceReview, iconWidth: 40, iconHeight: 40),
  ];
}
